
% --------------------------
% Script to plot output of BPOP model ver.1
%             Elisa Lovecchio 2019
% --------------------------

close all
clear 
clc


% Loads parameters and data

param_BPOP_LOOPzrem

load([output_dir,runtitle,'_data']);


%% P concentration by box

hf=figure(1);
clf
set(hf,'PaperUnits','inches','PaperPosition',[0, 0, 6.3, 5.3])
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 
sp1=subplot(2,2,1);
hold on
title(var_names{3})
contourf(reshape(final_vars(1,:),21,21),reshape(final_vars(2,:),21,21),reshape(final_vars(3,:),21,21),...
    'LevelList',[0,0.4,0.5,0.55,0.6,0.7,0.8,1,1.5,2,3],'ShowText','on')
xlabel(var_names{1},'FontSize',10)
ylabel(var_names{2},'FontSize',10)
colorbar;
caxis([0,2.5]);
pbaspect(sp1,[2 2 1])
hold off

sp2=subplot(2,2,3);
hold on
title(var_names{4})
contourf(reshape(final_vars(1,:),21,21),reshape(final_vars(2,:),21,21),reshape(final_vars(4,:),21,21),...
    'LevelList',[0.9,1,1.1,1.2,1.3,1.5,1.75,2,3,4,6],'ShowText','on')
xlabel(var_names{1},'FontSize',10)
ylabel(var_names{2},'FontSize',10)
colorbar;
caxis([0,6]);
pbaspect(sp2,[2 2 1])
hold off

sp3=subplot(2,2,2);
hold on
title(var_names{5})
contourf(reshape(final_vars(1,:),21,21),reshape(final_vars(2,:),21,21),reshape(final_vars(5,:),21,21),...
    'LevelList',[0,0.15,0.2,0.25,0.3,0.4,0.5,0.75,1.5],'ShowText','on')
xlabel(var_names{1},'FontSize',10)
ylabel(var_names{2},'FontSize',10)
colorbar;
caxis([0,2.5]);
pbaspect(sp3,[2 2 1])
hold off

sp4=subplot(2,2,4);
hold on
title(var_names{6})
contourf(reshape(final_vars(1,:),21,21),reshape(final_vars(2,:),21,21),reshape(final_vars(6,:),21,21),...
    'LevelList',[0,0.5,0.75,0.8,0.9,1,1.25,1.5,2,4],'ShowText','on')
xlabel(var_names{1},'FontSize',10)
ylabel(var_names{2},'FontSize',10)
colorbar;
caxis([0,6]);
pbaspect(sp4,[2 2 1])
hold off

print(hf,[output_dir,runtitle,'_P'],'-dpng','-r300');


%% O concentration by box

hf=figure(2);
clf
set(hf,'PaperUnits','inches','PaperPosition',[0, 0, 6.3, 5.3])

sp1=subplot(2,2,1);
hold on
title(var_names{9})
contourf(reshape(final_vars(1,:),21,21),reshape(final_vars(2,:),21,21),reshape(final_vars(9,:),21,21),...
    'ShowText','on','LevelList',[272,272.5,273,274,275])
xlabel(var_names{1},'FontSize',10)
ylabel(var_names{2},'FontSize',10)
colorbar;
caxis([272,275]);
pbaspect(sp1,[2 2 1])
hold off

sp2=subplot(2,2,2);
hold on
title(var_names{10})
contourf(reshape(final_vars(1,:),21,21),reshape(final_vars(2,:),21,21),reshape(final_vars(10,:),21,21),...
    'ShowText','on','LevelList',[0,1,5,10,20,40,60,80,100,120,140,160,170])
xlabel(var_names{1},'FontSize',10)
ylabel(var_names{2},'FontSize',10)
colorbar;
caxis([0,180]);
pbaspect(sp2,[2 2 1])
hold off

sp3=subplot(2,2,3);
hold on
title(var_names{11})
contourf(reshape(final_vars(1,:),21,21),reshape(final_vars(2,:),21,21),reshape(final_vars(11,:),21,21),...
    'ShowText','on','LevelList',[272,272.5,273,274,275])
xlabel(var_names{1},'FontSize',10)
ylabel(var_names{2},'FontSize',10)
colorbar;
caxis([272,275]);
pbaspect(sp3,[2 2 1])
hold off

sp4=subplot(2,2,4);
hold on
title(var_names{12})
contourf(reshape(final_vars(1,:),21,21),reshape(final_vars(2,:),21,21),reshape(final_vars(12,:),21,21),...
    'ShowText','on','LevelList',[0,10,50,100,125,150,160,170,180,190,200,210,240])
xlabel(var_names{1},'FontSize',10)
ylabel(var_names{2},'FontSize',10)
colorbar;
caxis([0,200]);
pbaspect(sp4,[2 2 1])
hold off

print(hf,[output_dir,runtitle,'_O'],'-dpng','-r300');



%% Budgets, production and export production

hf=figure(3);
clf
set(hf,'PaperUnits','inches','PaperPosition',[0, 0, 6.3, 5.3])

sp1=subplot(2,2,1);
hold on
title('Phosphorus [10^{12}molP]')
contourf(reshape(final_vars(1,:),21,21),reshape(final_vars(2,:),21,21),...
    reshape((final_vars(3,:)*V_ss+final_vars(4,:)*V_ds+final_vars(5,:)*V_so+final_vars(6,:)*V_do)*1e-3/1e12,21,21),...
    'ShowText','on','LevelList',[0,800,900,950,1000,1100,1300,1500,2000,3000,5000])
xlabel(var_names{1},'FontSize',10)
ylabel(var_names{2},'FontSize',10)
colorbar;
colormap(sp1,parula);
caxis([700,3500]);
pbaspect(sp1,[2 2 1])
hold off

sp2=subplot(2,2,2);
hold on
title('Oxygen [10^{15}molO2]')
contourf(reshape(final_vars(1,:),21,21),reshape(final_vars(2,:),21,21),...
    reshape((final_vars(9,:)*V_ss+final_vars(10,:)*V_ds+final_vars(11,:)*V_so+final_vars(12,:)*V_do)*1e-3/1e15,21,21),...
    'ShowText','on','LevelList',[0,20,50,100,150,175,200,220,230,240,250])
xlabel(var_names{1},'FontSize',10)
ylabel(var_names{2},'FontSize',10)
colorbar;
colormap(sp2,parula);
caxis([0,250]);
pbaspect(sp2,[2 2 1])
hold off

sp3=subplot(2,2,3);
hold on
title('TOT Production [TmolP yr^{-1}]')
contourf(reshape(final_flxs(1,:),21,21),reshape(final_flxs(2,:),21,21),...
    reshape(final_flxs(3,:)+final_flxs(4,:),21,21),...
    'ShowText','on','LevelList',[2,3,4,5,6,8,10,15,20,40]);
xlabel(flx_names{1},'FontSize',10)
ylabel(flx_names{2},'FontSize',10)
colorbar;
colormap(sp3,flipud(autumn));
caxis([0,30]);
pbaspect(sp3,[2 2 1])
hold off

sp4=subplot(2,2,4);
hold on
title('TOT Export/Production [%]')
contourf(reshape(final_flxs(1,:),21,21),reshape(final_flxs(2,:),21,21),...
    reshape((final_flxs(5,:)+final_flxs(6,:))./(final_flxs(3,:)+final_flxs(4,:))*100,21,21),...
    'ShowText','on','LevelList',[2,4,6,8,10,15,20,25,30,35])
xlabel(flx_names{1},'FontSize',10)
ylabel(flx_names{2},'FontSize',10)
colorbar;
colormap(sp4,flipud(autumn));
%caxis([0,200]);
pbaspect(sp4,[2 2 1])
hold off

print(hf,[output_dir,runtitle,'_budgets_fluxes'],'-dpng','-r300');


